Store the provider signing secret of a webhook
Store the provider's webhook signing secret for a webhook trigger node that is registered manually at the provider. The secret is never returned.
Authorization
bearerApiKey Create a scoped API key in the Adlass settings.
In: header
Path Parameters
Resource identifier: workflow_id.
uuidResource identifier: node_id.
length <= 80Header Parameters
Optional correlation identifier.
length <= 128A unique key for this intended write. Reuse it only for an identical retry.
1 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/workflows/123e4567-e89b-42d3-a456-426614174000/webhooks/example/signing-secret" \ -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \ -H "Content-Type: application/json" \ -d '{ "secret": "whsec_example" }'{ "has_signing_secret": false}